curl --request GET \
--url https://api.platform.dakota.xyz/applications \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/applications"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/applications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"application_id": "2hCjxJzUAW6JVRkZqaF9E0KpM3a",
"application_type": "business",
"application_status": "pending",
"application_decision": "approved",
"business": {
"id": "2hCjxJzUAW6JVRkZqaF9E0KpM3a",
"legal_name": "Acme Corp"
},
"individuals": [
{
"id": "2hCjxJzUAW6JVRkZqaF9E0KpM3b",
"first_name": "John",
"last_name": "Doe"
}
],
"edd_id": "2hCjxJzUAW6JVRkZqaF9E0KpM3c",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T14:45:00Z",
"submitted_at": "2024-01-15T16:00:00Z",
"risk_rating": {
"score": 7,
"num_factors": 4,
"percentage": 62.5,
"level": "high",
"factors": [
{
"name": "country_risk",
"value": 3,
"level": "high",
"input": "US",
"description": "Country risk based on incorporation country",
"reason": "United States is a low-risk jurisdiction",
"prohibited": false
}
],
"edd_required": true,
"prohibited": false,
"prohibited_reason": "Sanctioned country",
"version": "v1",
"data_version": "2026-01-07",
"config": {
"threshold_low": 25,
"threshold_high": 50
},
"calculated_at": "2024-01-15T10:30:00Z"
}
}
],
"meta": {
"total_count": 100,
"has_more_after": true,
"has_more_before": false
}
}{
"type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
"title": "Invalid request",
"status": 400,
"detail": "Invalid request",
"instance": "https://api.platform.dakota.xyz/applications",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Unauthorized",
"status": 401,
"detail": "Unauthorized",
"instance": "https://api.platform.dakota.xyz/applications",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Forbidden",
"instance": "https://api.platform.dakota.xyz/applications",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#internal-error",
"title": "Unexpected error",
"status": 500,
"detail": "Unexpected error",
"instance": "https://api.platform.dakota.xyz/applications",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}List all onboarding applications
Returns a paginated list of your onboarding applications for both businesses and individuals.
Use the type parameter to filter by application type, and status to filter by application status.
Supports cursor-based pagination using starting_after, ending_before, and limit parameters.
Authentication: Accepts API Key (X-API-Key header).
curl --request GET \
--url https://api.platform.dakota.xyz/applications \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/applications"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/applications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"application_id": "2hCjxJzUAW6JVRkZqaF9E0KpM3a",
"application_type": "business",
"application_status": "pending",
"application_decision": "approved",
"business": {
"id": "2hCjxJzUAW6JVRkZqaF9E0KpM3a",
"legal_name": "Acme Corp"
},
"individuals": [
{
"id": "2hCjxJzUAW6JVRkZqaF9E0KpM3b",
"first_name": "John",
"last_name": "Doe"
}
],
"edd_id": "2hCjxJzUAW6JVRkZqaF9E0KpM3c",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T14:45:00Z",
"submitted_at": "2024-01-15T16:00:00Z",
"risk_rating": {
"score": 7,
"num_factors": 4,
"percentage": 62.5,
"level": "high",
"factors": [
{
"name": "country_risk",
"value": 3,
"level": "high",
"input": "US",
"description": "Country risk based on incorporation country",
"reason": "United States is a low-risk jurisdiction",
"prohibited": false
}
],
"edd_required": true,
"prohibited": false,
"prohibited_reason": "Sanctioned country",
"version": "v1",
"data_version": "2026-01-07",
"config": {
"threshold_low": 25,
"threshold_high": 50
},
"calculated_at": "2024-01-15T10:30:00Z"
}
}
],
"meta": {
"total_count": 100,
"has_more_after": true,
"has_more_before": false
}
}{
"type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
"title": "Invalid request",
"status": 400,
"detail": "Invalid request",
"instance": "https://api.platform.dakota.xyz/applications",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Unauthorized",
"status": 401,
"detail": "Unauthorized",
"instance": "https://api.platform.dakota.xyz/applications",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Forbidden",
"instance": "https://api.platform.dakota.xyz/applications",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#internal-error",
"title": "Unexpected error",
"status": 500,
"detail": "Unexpected error",
"instance": "https://api.platform.dakota.xyz/applications",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}Authorizations
Query Parameters
Filter by application type
business, individual Filter by application status
pending, submitted, completed A cursor for use in pagination. starting_after is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include starting_after=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the next page of the list.
KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
A cursor for use in pagination. ending_before is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include ending_before=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the previous page of the list.
KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
1 <= x <= 100Was this page helpful?

